Bug 217352 - Switching virtual terminals breaks X on G965
Switching virtual terminals breaks X on G965
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-27 07:19 EST by Markku Kolkka
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-03 15:11:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X server config file (717 bytes, text/plain)
2006-12-29 06:46 EST, Markku Kolkka
no flags Details
X server log (126.34 KB, text/plain)
2006-12-29 06:47 EST, Markku Kolkka
no flags Details
X server log with hardware autodetection (99.11 KB, text/plain)
2006-12-29 06:48 EST, Markku Kolkka
no flags Details
Xorg.0.log with modesetting driver (99.89 KB, text/plain)
2007-02-20 17:15 EST, Peter Gordon
no flags Details

  None (edit)
Description Markku Kolkka 2006-11-27 07:19:40 EST
Description of problem:
Switching from X to a text-mode virtual terminal and back to VT7 results in a
blinking single-color screen on VT7. Re-starting X doesn't help, the only way to
restore normal X display is to reboot.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-1.6.5.10.fc6

How reproducible:
always

Steps to Reproduce:
1. Ctrl-Alt-F1
2. Alt-F7
  
Actual results:
Blinking blank screen

Expected results:
Normal X user interface

Additional info:
Intel DG965WH motherboard, Core 2 Duo E6600 processor.
Comment 1 Markku Kolkka 2006-12-06 13:13:45 EST
Adding Option "VBERestore" "true" to xorg.conf seems to fix the problem.
Comment 2 Mihai Harpau 2006-12-28 13:47:14 EST
I have the same behavior with Intel DG965SS motherboard and Pentium D 2.8 Ghz.
The tip from comment #1 does not work in my case.
Comment 3 Matěj Cepl 2006-12-29 03:46:13 EST
Thanks for the bug report and sorry for so late reply to it.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Markku Kolkka 2006-12-29 06:46:26 EST
Created attachment 144533 [details]
X server config file
Comment 5 Markku Kolkka 2006-12-29 06:47:15 EST
Created attachment 144534 [details]
X server log
Comment 6 Markku Kolkka 2006-12-29 06:48:05 EST
Created attachment 144535 [details]
X server log with hardware autodetection
Comment 7 Ilya Ryabinkin 2007-02-20 09:51:00 EST
I confirm the bug. Flickering screen results, when one switch to console and
back. "VBERestore" option does not help

00:02.0 VGA compatible controller: Intel Corporation 82946GZ/GL Integrated
Graphics Controller (rev 02) (prog-if 00 [VGA])
        Subsystem: Intel Corporation Unknown device 5354
        Flags: bus master, fast devsel, latency 0, IRQ 11
        Memory at 50100000 (32-bit, non-prefetchable) [size=1M]
        Memory at 40000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 20e0 [size=8]
        Capabilities: <access denied>
Comment 8 Ilya Ryabinkin 2007-02-20 09:54:38 EST
Driver info:
xorg-x11-drv-i810-1.6.5-10.fc6

$ uname -a
Linux node7 2.6.18-1.2798.fc6 #1 SMP Mon Oct 16 14:37:32 EDT 2006 i686 i686 i386
GNU/Linux

Intel motherboard with integrated graphics, Core 2 Duo E4300
Comment 9 Peter Gordon 2007-02-20 17:15:52 EST
Created attachment 148450 [details]
Xorg.0.log with modesetting driver

I've played around with it a bit, and the modesetting driver branch ("intel"
instead of i810) successfully resets the display and works well when switching
bewteen VTs and the X session. This is with xorg-x11-drv-i810-1.6.5-11.fc7
(x86_64). Attached is my Xorg.0.log file with this driver instead of i810.
Comment 10 Adam Jackson 2007-05-03 15:11:58 EDT
intel driver is the default now for 965 hardware, so marking this one as fixed
in rawhide.

Note You need to log in before you can comment on or make changes to this bug.